%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %define tcl_sitelib %{_datadir}/tcl%{tcl_version}}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		bwidget
#Epoch:		0
Version:	1.9.2
Release:	1
License:	BSD
URL:		http://sourceforge.net/projects/tcllib/
Group:		System/Libraries
Summary:	high-level widget set for Tcl/Tk
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

# Sources:
Source:		BWidget-%{version}.tar.bz2

# Patches:

# Requires:
Requires:	tcl
Requires:	tk

# BuildRequires:
BuildRequires:  tcl

%description
The BWidget toolkit is a high-level widget set for Tcl/Tk built using
native Tcl/Tk 8.x namespaces.

The BWidgets have a professional look and feel as in other well known
Toolkits, but the concept is radically different because everything is
pure Tcl/Tk. No platform dependencies, and no compiling required.


%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n BWidget-%{version}
%{__sed} -i 's/\r//' LICENSE.txt

%build
# Nothing to build!

%install
rm -rf $RPM_BUILD_ROOT
# Don't bother with the included configure script and Makefile.  They
# are missing a lot of pieces and won't work at all.  Installation is
# pretty simple, so we can just do it here manually.
mkdir -p $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/
mkdir $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/lang
mkdir $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/images

install -m 0644 -pD *.tcl $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/
install -m 0644 -pD lang/*.rc $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/lang/
install -m 0644 -pD images/*.gif images/*.xbm $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/images/

%files
%defattr(-,root,root)
%{tcl_sitelib}/bwidget%{version}

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Thu Oct 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9.2-1
- initial CCux package release
